Error
A valid request URL is required to generate request examples{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel_id": "<string>",
"sent_by": {
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"metadata": {}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"content": "<string>",
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"read_by": [
{
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"metadata": {}
}
],
"reactions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"emoji_code": "<string>",
"user": {
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"metadata": {}
},
"created_at": "2023-11-07T05:31:56Z"
}
],
"attachments": [
{
"url": "<string>",
"name": "<string>",
"mime_type": "<string>",
"size": 123,
"source": "Binary",
"channel_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
],
"mentions": [
{
"type": "User",
"user": {
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"metadata": {}
}
}
],
"thread_reply_info": {
"count": 123,
"last_replied_at": "2023-11-07T05:31:56Z"
},
"edited_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"metadata": {}
}{
"error": {
"message": "<string>",
"code": "BAD_REQUEST",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"code": "UNAUTHORIZED"
}
}{
"error": {
"message": "<string>",
"code": "FORBIDDEN"
}
}{
"error": {
"message": "<string>",
"code": "NOT_FOUND"
}
}{
"error": {
"message": "<string>",
"code": "INTERNAL_SERVER_ERROR"
}
}Messages
メッセージの編集
チャンネル内の既存メッセージを編集します。
PUT
/
channels
/
{channel_id}
/
messages
/
{message_id}
Error
A valid request URL is required to generate request examples{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel_id": "<string>",
"sent_by": {
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"metadata": {}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"content": "<string>",
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"read_by": [
{
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"metadata": {}
}
],
"reactions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"emoji_code": "<string>",
"user": {
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"metadata": {}
},
"created_at": "2023-11-07T05:31:56Z"
}
],
"attachments": [
{
"url": "<string>",
"name": "<string>",
"mime_type": "<string>",
"size": 123,
"source": "Binary",
"channel_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
],
"mentions": [
{
"type": "User",
"user": {
"id": "<string>",
"display_name": "<string>",
"role": "Admin",
"icon_url": "<string>",
"metadata": {}
}
}
],
"thread_reply_info": {
"count": 123,
"last_replied_at": "2023-11-07T05:31:56Z"
},
"edited_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"metadata": {}
}{
"error": {
"message": "<string>",
"code": "BAD_REQUEST",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"code": "UNAUTHORIZED"
}
}{
"error": {
"message": "<string>",
"code": "FORBIDDEN"
}
}{
"error": {
"message": "<string>",
"code": "NOT_FOUND"
}
}{
"error": {
"message": "<string>",
"code": "INTERNAL_SERVER_ERROR"
}
}Authorizations
ユーザーがログインすると発行されるsession_idをBearerトークンとして指定します
Path Parameters
メッセージを編集する対象のチャンネルID
Required string length:
1 - 100Pattern:
^[a-zA-Z0-9_-]+$対象のメッセージID
Body
application/json
Show child attributes
Show child attributes
Response
メッセージの更新完了
メッセージID
メッセージが属するチャンネルのID
Required string length:
1 - 100Pattern:
^[a-zA-Z0-9_-]+$メッセージを送信したユーザー
Show child attributes
Show child attributes
作成日時
更新日時
メッセージ本文
Maximum string length:
32000スレッドメッセージとして返信する場合の親メッセージID
既読したユーザーの一覧
Show child attributes
Show child attributes
メッセージに付与されたリアクション一覧
Show child attributes
Show child attributes
添付ファイル一覧
Show child attributes
Show child attributes
メンション一覧
Show child attributes
Show child attributes
このメッセージへの返信に関する情報
Show child attributes
Show child attributes
編集日時
削除日時
任意の追加メタデータ
Show child attributes
Show child attributes

